ClassProxyFactory.MockMethodInterceptor
Date: 2015-09-17

org.easymock.internal

## Class ClassProxyFactory.MockMethodInterceptor

- java.lang.Object
- - org.easymock.internal.ClassProxyFactory.MockMethodInterceptor

- All Implemented Interfaces:
    java.io.Serializable, net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.MethodInterceptor
  Enclosing class:
    ClassProxyFactory

      public static class ClassProxyFactory.MockMethodInterceptor
      extends java.lang.Object
      implements net.sf.cglib.proxy.MethodInterceptor, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassProxyFactory.MockMethodInterceptor(java.lang.reflect.InvocationHandler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `intercept(java.lang.Object obj, java.lang.reflect.Method method, java.lang.Object[] args, net.sf.cglib.proxy.MethodProxy proxy)`
    `void` | `setMockedMethods(java.lang.reflect.Method... mockedMethods)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassProxyFactory.MockMethodInterceptor

          public ClassProxyFactory.MockMethodInterceptor(java.lang.reflect.InvocationHandler handler)

  - ### Method Detail

    - #### intercept

          public java.lang.Object intercept(java.lang.Object obj,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args,
                                   net.sf.cglib.proxy.MethodProxy proxy)
                                     throws java.lang.Throwable

      Specified by:
        `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
      Throws:
        `java.lang.Throwable`

    - #### setMockedMethods

          public void setMockedMethods(java.lang.reflect.Method... mockedMethods)